%global debug_package %{nil}

Name: python-cookiecutter
Epoch: 100
Version: 1.7.3
Release: 1%{?dist}
BuildArch: noarch
Summary: Command-line utility that creates projects from cookiecutters
License: BSD-3-Clause
URL: https://github.com/cookiecutter/cookiecutter/releases
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-cookiecutter
Summary: Command-line utility that creates projects from cookiecutters
Requires: python3
Requires: python3-binaryornot >= 0.4.4
Requires: python3-click >= 7.0
Requires: python3-Jinja2 >= 2.7
Requires: python3-jinja2-time >= 0.2.0
Requires: python3-poyo >= 0.5.0
Requires: python3-requests >= 2.23.0
Requires: python3-six >= 1.10
Requires: python3-slugify >= 4.0.0
Provides: python3-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python3dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cookiecutter) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-cookiecutter
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%files -n python%{python3_version_nodots}-cookiecutter
%license LICENSE
%{_bindir}/cookiecutter
%{python3_sitelib}/cookiecutter*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-cookiecutter
Summary: Command-line utility that creates projects from cookiecutters
Requires: python3
Requires: python3-binaryornot >= 0.4.4
Requires: python3-click >= 7.0
Requires: python3-Jinja2 >= 2.7
Requires: python3-jinja2-time >= 0.2.0
Requires: python3-poyo >= 0.5.0
Requires: python3-requests >= 2.23.0
Requires: python3-six >= 1.10
Requires: python3-slugify >= 4.0.0
Provides: python3-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python3dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cookiecutter) = %{epoch}:%{version}-%{release}

%description -n python3-cookiecutter
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%files -n python3-cookiecutter
%license LICENSE
%{_bindir}/cookiecutter
%{python3_sitelib}/cookiecutter*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-cookiecutter
Summary: Command-line utility that creates projects from cookiecutters
Requires: python3
Requires: python3-binaryornot >= 0.4.4
Requires: python3-click >= 7.0
Requires: python3-jinja2 >= 2.7
Requires: python3-jinja2-time >= 0.2.0
Requires: python3-poyo >= 0.5.0
Requires: python3-requests >= 2.23.0
Requires: python3-six >= 1.10
Requires: python3-slugify >= 4.0.0
Provides: python3-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python3dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(cookiecutter) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-cookiecutter = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(cookiecutter) = %{epoch}:%{version}-%{release}

%description -n python3-cookiecutter
A command-line utility that creates projects from cookiecutters (project
templates), e.g. creating a Python package project from a Python package
project template.

%files -n python3-cookiecutter
%license LICENSE
%{_bindir}/cookiecutter
%{python3_sitelib}/cookiecutter*
%endif

%changelog
